package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Curso;
import com.rjconsultores.ventaboletos.utilerias.RegistroConDependenciaException;

public interface CursoService {
	public List<Curso> obtenerTodos();

    public Curso obtenerID(Integer id);

    public Curso suscribir(Curso entidad);

    public Curso actualizacion(Curso entidad);

    public void borrar(Curso entidad) throws RegistroConDependenciaException;
    
    public List<Curso> buscar(String nomcurso);
}
